package cn.iocoder.yudao.module.knowledge.annotation;


import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD,ElementType.TYPE})
public @interface ExcelOut {
    //列名
    String name() default "";

    //排序，实体类中从1开始排序，0被序号列占用
    int sort();

    //列宽
    int width() default 15;
    String dateFormat() default "";
    boolean isFileUrl() default false;
}
